classification
Title: NULL member in modules_by_index
Type: crash Stage:
Components: Interpreter Core Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: loewis Nosy List: kristjan.jonsson, loewis
Priority: normal Keywords: easy, patch

Created on 2008-07-09 13:33 by kristjan.jonsson, last changed 2008-11-17 16:22 by loewis. This issue is now closed.

Files
File name Uploaded Description Edit
tmp2.patch kristjan.jonsson, 2008-07-15 20:39 A patch file for py3k
Messages (4)
msg69469 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2008-07-09 13:33
In _PyState_AddModule(), a list of (initially) 20 elements is created, 
but there is no guarantee that all elements are initialized.  In 
particular, it appears that element 0 is always NULL.  This is bad 
since this list is accessible through introspection, e.g. by 
gc.get_objects()
msg69715 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2008-07-15 20:39
Added a patch for this issue.  Please comment.
msg75961 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2008-11-17 14:10
bump.
Is there any interest in this fix?
msg75972 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-11-17 16:22
Thanks for the patch. Committed as r67242
History
Date User Action Args
2008-11-17 16:22:36loewissetstatus: open -> closed
resolution: accepted
messages: + msg75972
2008-11-17 14:10:22kristjan.jonssonsetmessages: + msg75961
2008-07-15 20:50:04benjamin.petersonsetassignee: loewis
nosy: + loewis
2008-07-15 20:39:57kristjan.jonssonsetkeywords: + patch, easy
files: + tmp2.patch
messages: + msg69715
2008-07-09 13:33:41kristjan.jonssoncreate